pipeline:

  publish:
    image: plugins/docker
    registry: gcr.io
    repo: gcr.io/uit-authnz/openldap
    tag:
      - 2.4.49-buster
      - "${DRONE_COMMIT_SHA}"
    secrets: [ docker_username, docker_password ]
  
  # downstream:
  #   image: plugins/downstream
  #   server: https://drone.svc.stanford.edu
  #   repositories:
  #     - "authnz/kube-ldap"
  #   fork: true
  #   secrets: [ downstream_token ]
  #   when:
  #     status: success
  #     branch: master

  slack:
    image: plugins/slack
    channel: authnz-build
    username: ${DRONE_REPO_OWNER}/${DRONE_REPO_NAME}
    template: |
      *Build ${DRONE_BUILD_NUMBER}*: _*{{ build.status }}*_ on event _*${DRONE_BUILD_EVENT}*_ (${DRONE_COMMIT_BRANCH})
      *Author*: ${CI_COMMIT_AUTHOR_NAME}
      *Duration*: {{since build.started}}
      *<${DRONE_BUILD_LINK}|Build logs>* | *<${DRONE_REPO_LINK}/commit/${DRONE_COMMIT_SHA}|Code changes>* 
      *Message*: ${DRONE_COMMIT_MESSAGE}
    secrets: [ slack_webhook ]
    when:
      status: [ success, failure ]

